export declare class TimeSpan {
    static ticksPerMillisecond: number;
    private static millisecondsPerTick;
    static ticksPerSecond: number;
    private static secondsPerTick;
    static ticksPerMinute: number;
    private static minutesPerTick;
    static ticksPerHour: number;
    private static hoursPerTick;
    static ticksPerDay: number;
    private static daysPerTick;
    private static millisPerSecond;
    private static millisPerMinute;
    private static millisPerHour;
    private static millisPerDay;
    static maxSeconds: number;
    static minSeconds: number;
    static maxMilliSeconds: number;
    static minMilliSeconds: number;
    static ticksPerTenthSecond: number;
    get zero(): TimeSpan;
    static getNetTypeName(): string;
    private static _minValue;
    static minValue(): TimeSpan;
    private static _maxValue;
    static maxValue(): any;
    private _minus;
    ticks: number;
    get days(): number;
    get hours(): number;
    get milliseconds(): number;
    get minutes(): number;
    get seconds(): number;
    get totalDays(): number;
    get totalHours(): number;
    get totalMilliseconds(): number;
    get totalMinutes(): number;
    get totalSeconds(): number;
    static fromString(value: string, format?: string): TimeSpan;
    private static interval;
    toString(format?: string): string;
    negate(): TimeSpan;
    private static timeToTicks;
    static create(days?: number, hours?: number, minutes?: number, seconds?: number, milliseconds?: number): TimeSpan;
    constructor(param1?: number, minutes?: number, seconds?: number, milliseconds?: number);
}
